# gmtwhich

Find full path to specified files

## Synopsis

gmt which files [ -A ] [ -C ] [ -D ] [ -G[a|c|l|u] ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

which reports the paths to the files given on the command line. We look for the file in (1) the current directory, (2) in $GMT_USERDIR (if defined), (3) in $GMT_DATADIR (if defined), or (4) in $GMT_CACHEDIR (if defined). If found we print the path name to the file, just the directory (see -D), or a confirmation (see -C). The $GMT_USERDIR and $GMT_DATADIR environment variables can be comma-separated list of directories, and we search recursively down any directory that ends with / (i.e., /export/data is a single directory whereas /export/data/ will be searched recursively.) If the file is in the current directory then we just return the relative path (i.e., the file name); otherwise we return the full path.

## Required Arguments

files

  One or more file names of any data type (grids, tables, etc.).

## Optional Arguments

-A

  Only consider files that the user has permission to read [Default consider all files found].

-C

  Instead of reporting the paths, print the confirmation Y if the file is found and N if it is not.

-D

  Instead of reporting the paths, print the directories that contains the files.

-G[a|c|l|u]

  If a file argument is a downloadable file (either a complete URL, an @file for downloading from the GMT data server, or @earth_relief_xxy or any other of the remote datasets at https://www.generic-mapping-tools.org/remote-datasets/) we will try to download the file if it is not found in your local data or cache dirs. By default [-Gl] we download to the current directory. Append a to place files in the appropriate folder under the user directory (this is where GMT normally places downloaded files), c to place it in the user cache directory, or u for the user data directory instead (i.e., ignoring any subdirectory structure).

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

To see the path to the file myjunk.txt, use:

    gmt which myjunk.txt

To download the 10 arc-minute global relief file from the GMT data server, use:

    gmt which -Ga @earth_relief_10m

which will print the path (after downloading if not already present). The file will be placed in the appropriate folder under the user’s GMT_USERDIR. To obtain a GMT example or test file from the GMT data server, try:

    gmt which -Gc @hotspots.txt

which will print the path (after downloading if not already present). The file will be placed in the user’s GMT_CACHEDIR directory.

## See Also

gmt